//============================================================================
//
//  Parallel checker
//
//  Constant.java
//
//  Copyright (c) 2019 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package parallel;

import java.util.*;

public class Constant
{
    static boolean traceOn = false;

    final static String [] tone = new String[] { "C ", "C#", "D ", "D#", "E ", "F ",
                                                 "F#", "G ", "G#", "A ", "B ", "H " };

    static HashMap<String, Integer> cnvmap; // Note名からNote番号への変換用Map.

    static
    {
        // 音高はC-H,0-11で,C0を0とし、
        // たとえば、D#4 = 5 + 12*4 となる.
        // 休符は-1とする。
        cnvmap = new HashMap<String, Integer>();
        cnvmap.put("C", 0);
        cnvmap.put("D", 2);
        cnvmap.put("E", 4);
        cnvmap.put("F", 5);
        cnvmap.put("G", 7);
        cnvmap.put("A", 9);
        cnvmap.put("B", 11);
    }

    static final int CELL_SIZE = 24;  // 1拍の分割数.
    static final int BEAT_MAX  = 400; // 全拍数.
    static final int TRACK_MAX = 8;   // Track数.
}
