//============================================================================
//
//  Parallel checker
//
//  Main.java
//
//  Copyright (c) 2019 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package parallel;

import java.io.*;
import javax.swing.*;
import java.net.*;
import java.nio.file.*;
import java.security.*;

public class Main
{
    private static String windows  = "com.sun.java.swing.plaf.windows.WindowsLookAndFeel";

    public static void main(String [] args)
    {
        try
        {
            UIManager.setLookAndFeel(windows);
        }
        catch(Exception ex){}

        String home = null;
        try
        {
            Class cls = Main.class;
            Protection​Domain pd = cls.getProtectionDomain();
            Code​Source cs = pd.getCodeSource();
            URL location = cs.getLocation();
            URI uri = location.toURI();
            Path path = Paths.get(uri);
            path = path.getParent();
            home = path.toString();
        }
        catch(Exception ex){}

        if (home == null)
            home = "C:/ParallelChecker";
        home = home.replace("\\", "/");
        Kit.HOME = home;

        MainFrame frame = new MainFrame();
        Kit.mainFrame = frame;
        frame.setVisible(true);
    }

}
