//============================================================================
//
//  Parallel checker
//
//  Measure.java
//
//  Copyright (c) 2019 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package parallel;

import  java.util.*;

// 小節(MusicXMLのMeasure)のクラス.
class Measure
{
    public int no;        // 番号(1 Origin).
    public int beats;     // 拍数(分子).
    public int beatType;  // 基本拍(分母).
    public int divisions; // 最小の単位(1拍24の分割数).
    public int totalTick; // 先頭からこの小節までのTick(4分音符の1/24)合計.

    // Voiceパート名のMap.
    public HashSet<String> voiceSet = new HashSet<String>();
    // 含まれる音符/休符
    public ArrayList<XMLNote> notes = new ArrayList<XMLNote>();
}

// MusicXMLの音符データのクラス.
class XMLNote
{
    public String voice    = "0";
    public String dur      = "-1";
    public String step     = "-1";
    public String octave   = "-1";
    public String alter    = "0";
    public boolean isChord  = false;
    public boolean isBackup = false;

    public XMLNote()
    {
    }
}
