//============================================================================
//
//  Parallel checker
//
//  Note.java
//
//  Copyright (c) 2019 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package parallel;

// 音符/休符のクラス.
public class Note
{
    public int     track;   // Track番号(0 Origin).
    public int     no;      // 音符(0以上) 休符(-1).
    public String  sig;     // 記譜上の音.
    public Measure bar;     // 含まれる小節.
    public boolean padding; // 休符が音で延長された場合true.

    public Note(int track, Measure bar)
    {
        this.track = track;
        this.bar = bar;
        no = -1;
        sig = null;
    }

    public Note(int track, Measure bar, String step, int alter, int octave)
    {
        this.track = track;
        this.bar = bar;
        int n = Constant.cnvmap.get(step);
        no = n + octave * 12 + alter;
        String flg;
        if (alter == -1)
            flg = "♭";
        else if (alter == 1)
            flg = "♯";
        else
            flg = "　";
        sig = step + flg + octave;
    }
}

